libwpd: WP6VariableLengthGroup Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WP6VariableLengthGroup Class Reference

`#include <WP6VariableLengthGroup.h>`

Inheritance diagram for WP6VariableLengthGroup:

List of all members.

## Public Member Functions
| WP6VariableLengthGroup ()
virtual | ~WP6VariableLengthGroup ()
## Static Public Member Functions
static WP6VariableLengthGroup * | constructVariableLengthGroup (WPXInputStream *input, uint8_t groupID)
## Protected Member Functions
void | _read (WPXInputStream *input)
virtual void | _readContents (WPXInputStream *input)
const uint8_t | getSubGroup () const
const uint16_t | getSize () const
const uint8_t | getFlags () const
const uint8_t | getNumPrefixIDs () const
uint16_t *const | getPrefixIDs () const
const uint16_t | getSizeNonDeletable () const
## Private Attributes
uint8_t | m_subGroup
uint16_t | m_size
uint8_t | m_flags
uint8_t | m_numPrefixIDs
uint16_t * | m_prefixIDs
uint16_t | m_sizeNonDeletable

## Constructor & Destructor Documentation

WP6VariableLengthGroup::WP6VariableLengthGroup | ( |  | ) |

WP6VariableLengthGroup::~WP6VariableLengthGroup | ( |  | ) | `[virtual]`

## Member Function Documentation

void WP6VariableLengthGroup::_read | ( | WPXInputStream * | input | ) | `[protected]`

virtual void WP6VariableLengthGroup::_readContents | ( | WPXInputStream * | input | ) | `[inline, protected, virtual]`

| Reimplemented in WP6CharacterGroup, WP6ColumnGroup, WP6DisplayNumberReferenceGroup, WP6EOLGroup, WP6FootnoteEndnoteGroup, WP6HeaderFooterGroup, WP6PageGroup, WP6ParagraphGroup, WP6StyleGroup, and WP6TabGroup.

WP6VariableLengthGroup * WP6VariableLengthGroup::constructVariableLengthGroup | ( | WPXInputStream * | input,
|  | uint8_t | groupID
| ) | `[static]`

const uint8_t WP6VariableLengthGroup::getFlags | ( |  | ) | const`[inline, protected]`

const uint8_t WP6VariableLengthGroup::getNumPrefixIDs | ( |  | ) | const`[inline, protected]`

uint16_t* const WP6VariableLengthGroup::getPrefixIDs | ( |  | ) | const`[inline, protected]`

const uint16_t WP6VariableLengthGroup::getSize | ( |  | ) | const`[inline, protected]`

const uint16_t WP6VariableLengthGroup::getSizeNonDeletable | ( |  | ) | const`[inline, protected]`

const uint8_t WP6VariableLengthGroup::getSubGroup | ( |  | ) | const`[inline, protected]`

## Member Data Documentation

uint8_t WP6VariableLengthGroup::m_flags`[private]`

uint8_t WP6VariableLengthGroup::m_numPrefixIDs`[private]`

uint16_t* WP6VariableLengthGroup::m_prefixIDs`[private]`

uint16_t WP6VariableLengthGroup::m_size`[private]`

uint16_t WP6VariableLengthGroup::m_sizeNonDeletable`[private]`

uint8_t WP6VariableLengthGroup::m_subGroup`[private]`

The documentation for this class was generated from the following files:

- WP6VariableLengthGroup.h
- WP6VariableLengthGroup.cpp